<!DOCTYPE html>
<html lang="en">

<head>
    <% include ../_head %>
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.13.2/css/bootstrap-select.min.css">
    <link rel="stylesheet" type="text/css" href="/css/modifier_exercice.css">
</head>

<body>
<% include ../_loading %>
<div class="container-fluid content-row">
    <div class="row mt-2 mr-2">
      <span class="col-2">
          <% include ../_lang %>
      </span>
        <span class="col-1" id="date" class="ml-3"></span>
        <h4 class="col-6" id="infos_eleve"></h4>
        <div class="col-3 ml-auto">
            <a href="#"
               onclick="window.location.href='<%= back === 'valider' ? '/admin/valider' : '/admin/signalement' %>'"
               id="backBtn"
               class="btn btn-outline-danger"><%= __('global_back') %></a>
            <a href="/logout" class="btn btn-outline-warning"><%= __('global_logout') %></a>
        </div>
    </div>
    <main role="main">
        <div class="row">
            <div class="col-md-1" style="margin-top: 70px;">
                <h5>Harmos <%= exercice.degre %></h5>
                <div class="btn-group-vertical mr-2" role="group" style="min-width: 100%">
                    <%
                    for(let i = 0; i < exercice.exercice.questions.length; i++){
                        let question = exercice.exercice.questions[i];
                    %>
                    <button type="button" id="questionActive<%= i %>"
                            class="btn btn-outline-secondary question-btn col-12 <%= i === 0 ? 'selected' : '' %>"
                            <%= i === 0 ? '' : ' style=display:none' %>
                            onclick="ui_modifier_exercice_5.chooseQuestion(<%= i %>)"><%= __('admin_valider_exerice_question') + " " + (i + 1) %></button>
                    <button type="button" id="questionInactive<%= i %>"
                            class="btn btn-outline-secondary question-btn col-12"<%= i === 0 ? ' style=display:none' : '' %>
                            onclick="void(0);"><%= __('admin_valider_exerice_question') + " " + (i + 1) %></button>
                    <%
                    }
                    %>
                </div>
            </div>
            <div class="col-md-11" style="margin-top: 70px;">
                <div class="col-sm-12 form-group row">
                    <label for="labelFr" class="col-1 col-form-label"><%= __('global_french') %></label>
                    <div class="col-10">
                        <input id="labelFr" name="labelFr" type="text" class="form-control"
                               value=""
                               onchange="ui_modifier_exercice_5.updateLabel()"/>
                        <div class="invalid-feedback">
                            <%= __('admin_valider_exercice_label_lenght') %>
                        </div>
                    </div>
                </div>
                <div class="col-sm-12 form-group row">
                    <label for="labelDe" class="col-1 col-form-label"><%= __('global_german') %></label>
                    <div class="col-10">
                        <input id="labelDe" name="labelDe" type="text" class="form-control"
                               value=""
                               onchange="ui_modifier_exercice_5.updateLabel()"/>
                        <div class="invalid-feedback">
                            <%= __('admin_valider_exercice_label_lenght') %>
                        </div>
                    </div>
                </div>
                <div class="col-sm-12 form-group row">
                    <label for="labelEn" class="col-1 col-form-label"><%= __('global_english') %></label>
                    <div class="col-10">
                        <input id="labelEn" name="labelEn" type="text" class="form-control"
                               value=""
                               onchange="ui_modifier_exercice_5.updateLabel()"/>
                        <div class="invalid-feedback">
                            <%= __('admin_valider_exercice_label_lenght') %>
                        </div>
                    </div>
                </div>
                <div class="col-sm-12 form-group row">
                    <label for="labelIt" class="col-1 col-form-label"><%= __('global_italian') %></label>
                    <div class="col-10">
                        <input id="labelIt" name="labelIt" type="text" class="form-control"
                               value=""
                               onchange="ui_modifier_exercice_5.updateLabel()"/>
                        <div class="invalid-feedback">
                            <%= __('admin_valider_exercice_label_lenght') %>
                        </div>
                    </div>
                </div>
                <div class="col-sm-12 form-group row">
                    <label class="col-1"><%= __('admin_valider_exercice_type') %></label>
                    <div class="col-10">
                        <div class="custom-control custom-radio custom-control-inline">
                            <input name="type" id="typeRadio" type="radio" class="custom-control-input"
                                   value="radio" onclick="ui_modifier_exercice_5.changeMode()">
                            <label for="typeRadio"
                                   class="custom-control-label"><%= __('admin_valider_exercice_type_radio') %></label>
                        </div>
                        <div class="custom-control custom-radio custom-control-inline">
                            <input name="type" id="typeCheckbox" type="radio" class="custom-control-input"
                                   value="checkbox" onclick="ui_modifier_exercice_5.changeMode()">
                            <label for="typeCheckbox"
                                   class="custom-control-label"><%= __('admin_valider_exercice_type_checkbox') %></label>
                        </div>
                        <div class="custom-control custom-radio custom-control-inline">
                            <input name="type" id="typeDraw" type="radio" class="custom-control-input" value="draw"
                                   onclick="ui_modifier_exercice_5.changeMode()">
                            <label for="typeDraw"
                                   class="custom-control-label"><%= __('admin_valider_exercice_type_draw') %></label>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-1"></div>
                    <div class="col-sm-4">
                        <h4><%= __('admin_valider_exercice_all_shapes') %></h4>
                        <div class="list-group-flush" style="overflow-y: scroll; max-height: 380px" id="allShapes">
                            <%
                            for(let i = 0; i < exercice.scenario.shapes.length; i++){
                            %>
                                <li class="list-group-item">
                                    <div class="custom-control custom-checkbox">
                                        <input type="checkbox" onclick="ui_modifier_exercice_5.updateTrueShapes(<%= i %>)"
                                               class="custom-control-input" id="allShapes_<%= i %>">
                                        <label class="custom-control-label"
                                               for="allShapes_<%= i %>"><%= exercice.scenario.shapes[i].names[lang] %></label>
                                    </div>
                                </li>
                            <%
                            }
                            %>
                        </div>
                    </div>
                    <div class="col-sm-1"></div>
                    <div class="col-sm-4" id="trueShapesContainer">
                        <h4><%= __('admin_valider_exercice_true_shapes') %></h4>
                        <div class="list-group-flush" style="overflow-y: scroll; max-height: 380px" id="trueShapes">
                            <%
                            for(let i = 0; i < exercice.scenario.shapes.length; i++){
                            %>
                                <li class="list-group-item" id="trueShapes_<%= i %>" style="display: none;">
                                    <div class="custom-control custom-checkbox">
                                        <input type="checkbox" onclick="ui_modifier_exercice_5.selectTrueShape(<%= i %>)"
                                               class="custom-control-input" id="trueShapesBox_<%= i %>">
                                        <label class="custom-control-label"
                                               for="trueShapesBox_<%= i %>"><%= exercice.scenario.shapes[i].names[lang] %></label>
                                    </div>
                                </li>
                            <%
                            }
                            %>
                        </div>
                    </div>
                </div>
                <div class="row mt-5">
                    <div class="col-3"></div>
                    <div class="col-2">Choisir le niveau de l'exercice</div>
                    <input id="niveauExo" class="col-2 form-control form-control-lg" type="text" name="niveauExo" value="" placeholder="Niveau de l'exercice" required autofocus>
                </div>
                <div class="row mt-4">
                    <div class="col-4"></div>
                    <textarea id="descriptionExo" class="col-4 form-control form-control-lg" placeholder="Description"></textarea>
                </div>
                <img id="output" width="200" />
                <div class="row mt-5">
                    <div class="col-3"></div>
                    <div class="col-2">Choisir une image de l'exercice</div>
                    <input type="file" id="output" class="ml-2" name="" accept="image/png, image/jpeg" onchange="ui_parcours.previewImageValidation()">
                </div>
                <div class="row" style="text-align: center; margin-top: 20px">
                    <div class="col-5"></div><img id="img_preview" class="col-3">
                </div>
                <div class="row" style="margin-top: 25px">
                    <div class="col-1"></div>
                    <div class="col-4" style="text-align: center">
                        <a class="btn btn-danger" href="javascript:ui_modifier_exercice_5.askForRestore();"
                           role="button"><%= __('admin_valider_exercice_cancel') %></a>
                    </div>
                    <div class="col-1"></div>
                    <div class="col-4" style="text-align: center">
                        <a class="btn btn-success" href="javascript:ui_modifier_exercice_5.askForSave();"
                           role="button" id="btnSauvegarder"><%= __('admin_valider_exercice_save') %></a>
                        <a class="btn btn-success" href="javascript:ui_modifier_exercice_5.validate();"
                           role="button" style="display:none"
                           id="btnValider"><%= __('admin_valider_exercice_save_and_validate') %></a>
                    </div>
                </div>
            </div>
        </div>
    </main>
</div>
<script src="/scripts/wrk/wrk.js"></script>
<script type="text/javascript" src="/scripts/ui/ui_parcours.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.13.2/js/bootstrap-select.min.js"></script>
<script type="text/javascript" src="/scripts/ui/validerExercice/ui_modifier_exercice_5.js"></script>
<script>
    var exercice = <%- JSON.stringify(exercice.exercice) %>;
    var shapes = <%- JSON.stringify(exercice.scenario.shapes) %>;

    var exId =  <%- id %>;

    $(document).ready(function () {
        ui_modifier_exercice_5.chooseQuestion(0);
    });
</script>
</body>
</html>